commit:     45123c8ed0396897b84dfcff41f125ddbb8d471c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 25 13:12:55 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec 25 13:15:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45123c8e

xfce-extra/xfce4-stopwatch-plugin: New package, v0.5.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-stopwatch-plugin/Manifest         |  1 +
 xfce-extra/xfce4-stopwatch-plugin/metadata.xml     |  8 ++++
 .../xfce4-stopwatch-plugin-0.5.2.ebuild            | 45 ++++++++++++++++++++++
 3 files changed, 54 insertions(+)

diff --git a/xfce-extra/xfce4-stopwatch-plugin/Manifest 
b/xfce-extra/xfce4-stopwatch-plugin/Manifest
new file mode 100644
index 000000000000..00d60f80b7f2
--- /dev/null
+++ b/xfce-extra/xfce4-stopwatch-plugin/Manifest
@@ -0,0 +1 @@
+DIST xfce4-stopwatch-plugin-0.5.2.tar.bz2 372592 BLAKE2B 
2075137e0f977a81acbe6467d048719edd39e4671e6e5a9bc59b3a7ffa1c172863c8b072ff951f7d827c6f4a0ed5b1f437802918856a68a48a6c732ffadd50f7
 SHA512 
8c8120c1b3801c780d8a30293d1c8fb92cf57c5dee323b0d41fbba7c108a78231337815ba0548a0ae78be89a35ea1b6184c49d4013de0185b1e7075aaf5fbc26

diff --git a/xfce-extra/xfce4-stopwatch-plugin/metadata.xml 
b/xfce-extra/xfce4-stopwatch-plugin/metadata.xml
new file mode 100644
index 000000000000..fb3a6777ad9f
--- /dev/null
+++ b/xfce-extra/xfce4-stopwatch-plugin/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>XFCE Team</name>
+       </maintainer>
+</pkgmetadata>

diff --git 
a/xfce-extra/xfce4-stopwatch-plugin/xfce4-stopwatch-plugin-0.5.2.ebuild 
b/xfce-extra/xfce4-stopwatch-plugin/xfce4-stopwatch-plugin-0.5.2.ebuild
new file mode 100644
index 000000000000..f471a3e6822b
--- /dev/null
+++ b/xfce-extra/xfce4-stopwatch-plugin/xfce4-stopwatch-plugin-0.5.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A panel plug-in to display wireless interface statistics"
+HOMEPAGE="
+       https://docs.xfce.org/panel-plugins/xfce4-stopwatch-plugin
+       https://gitlab.xfce.org/panel-plugins/xfce4-stopwatch-plugin/
+"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+       >=dev-libs/glib-2.50.0
+       >=x11-libs/gtk+-3.22.0:3
+       >=xfce-base/libxfce4util-4.16.0:=
+       >=xfce-base/xfce4-panel-4.16.0:=
+"
+RDEPEND="
+       ${DEPEND}
+       kernel_linux? ( sys-apps/net-tools )
+"
+BDEPEND="
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to